<?php

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;

defined('TYPO3') or die();

// ** Add fields to the backend
$columns = array (
    'ot_website_uid' => array (
        'label' => 'LLL:EXT:ot_core/Resources/Private/Language/locallang.xlf:website_uid',
        'displayCond' => 'HIDE_FOR_NON_ADMINS',
        'config' => array (
            'type' => 'input',
        )
    )
);

ExtensionManagementUtility::addTCAcolumns(
    'pages',
    $columns
);

ExtensionManagementUtility::addToAllTCAtypes(
    'pages',
    'ot_website_uid',
    '',
    'after:subtitle'
);
